Skip to main content
GET
/
api
/
v1
/
app-connections
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/app-connections
import requests

url = "https://us.infisical.com/api/v1/app-connections"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://us.infisical.com/api/v1/app-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "appConnections": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "app": "aws",
      "method": "assume-role",
      "credentials": {
        "stsEndpoint": "<string>"
      },
      "description": "<string>",
      "version": 1,
      "isPlatformManagedCredentials": false,
      "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectId": "<string>",
      "isAutoRotationEnabled": false,
      "gatewayPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rotation": {
        "rotationInterval": 123,
        "rotateAtUtc": {
          "hours": 123,
          "minutes": 123
        },
        "lastRotationMessage": "<string>",
        "nextRotationAt": "2023-11-07T05:31:56Z"
      },
      "credentialsHash": "<string>",
      "project": {
        "name": "<string>",
        "id": "<string>",
        "type": "<string>",
        "slug": "<string>"
      }
    }
  ]
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Query Parameters

projectId
string

The ID of the project to list App Connections from.

Response

Default Response

appConnections
(AWS (Assume Role) · object | AWS (Access Key) · object | GitHub (GitHub App) · object | GitHub (OAuth) · object | GitHub (Personal Access Token) · object | GitHub Radar (GitHub App) · object | GCP (Service Account Impersonation) · object | Azure Key Vault (OAuth) · object | Azure Key Vault (Client Secret) · object | Azure Key Vault (Certificate) · object | Azure App Configuration (OAuth) · object | Azure App Configuration (Client Secret) · object | Azure DevOps (OAuth) · object | Azure DevOps (Access Token) · object | Azure DevOps (Client Secret) · object | Databricks (Service Principal) · object | Humanitec (API Token) · object | Terraform Cloud (API Token) · object | Vercel (API Token) · object | PostgreSQL (Username and Password) · object | Microsoft SQL Server (Username and Password) · object | MySQL (Username and Password) · object | Camunda (Client Credentials) · object | Auth0 (Client Credentials) · object | Hashicorp Vault (Access Token) · object | Hashicorp Vault (App Role) · object | Azure Client Secrets (OAuth) · object | Azure Client Secrets (Client Secret) · object | Azure Client Secrets (Certificate) · object | Windmill (Access Token) · object | LDAP (Simple Bind) · object | TeamCity (Access Token) · object | OCI (Access Key) · object | OracleDB (Username and Password) · object | 1Password (API Token) · object | Heroku (Auth Token) · object | Heroku (OAuth) · object | Hasura Cloud (Access Token) · object | Render (API Key) · object | Fly.io (Access Token) · object | Trigger.dev (API Key) · object | GitLab (Access Token) · object | GitLab (OAuth) · object | Cloudflare (API Token) · object | Bitbucket (API Token) · object | Zabbix (API Token) · object | Railway (Access Token) · object | Checkly (Access Token) · object | CircleCI (Personal Access Token) · object | Cloud 66 (Personal Access Token) · object | Supabase (Access Token) · object | DigitalOcean App Platform (Access Token) · object | Netlify (Access Token) · object | Northflank (API Token) · object | Okta (API Token) · object | Azure ADCS (Web Enrollment) (Username and Password) · object | Microsoft ADCS (Username and Password) · object | Redis (Username and Password) · object | object | Laravel Forge (API Token) · object | Chef (User Key) · object | DNS Made Easy (API Key) · object | Azure DNS (Client Secret) · object | Octopus Deploy (API Key) · object | SMB · object | SSH (Password) · object | SSH (SSH Key) · object | DBT (API Token) · object | OpenRouter (API Key) · object | OpenAI (API Key) · object | Anthropic (API Key) · object | Devin (API Key) · object | Azure Entra ID (Client Secret) · object | Venafi TLS Protect Cloud (API Key) · object | Venafi TPP (OAuth) · object | Infisical (Machine Identity - Universal Auth) · object | NetScaler (Basic Auth) · object | Doppler (API Token) · object | OVH (Certificate) · object | Ona (Personal Access Token) · object | DigiCert (API Key) · object | GoDaddy (API Key) · object | Travis CI (API Token) · object | Salesforce (Client Credentials) · object | Snowflake (Username and Token) · object | Datadog (API Key) · object | F5 BIG-IP (Basic Auth) · object | Convex (Personal Access Token) · object | Rundeck (API Token) · object | Qovery (Access Token) · object | LiteLLM (API Key) · object | Fireworks (API Key) · object)[]
required